Update integration
curl --request PUT \
--url https://api.example.com/api/projects/{projectId}/integrations/{integrationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"config": {
"url": "<string>",
"timeout": 5000,
"output": "<string>",
"headers": [],
"cookies": [],
"enableInputs": false,
"inputs": []
},
"description": "<string>",
"group": "<string>"
}
'import requests
url = "https://api.example.com/api/projects/{projectId}/integrations/{integrationId}"
payload = {
"name": "<string>",
"config": {
"url": "<string>",
"timeout": 5000,
"output": "<string>",
"headers": [],
"cookies": [],
"enableInputs": False,
"inputs": []
},
"description": "<string>",
"group": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
config: {
url: '<string>',
timeout: 5000,
output: '<string>',
headers: [],
cookies: [],
enableInputs: false,
inputs: []
},
description: '<string>',
group: '<string>'
})
};
fetch('https://api.example.com/api/projects/{projectId}/integrations/{integrationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "http",
"config": {
"url": "<string>",
"timeout": 5000,
"headers": [],
"cookies": [],
"enableInputs": false,
"inputs": [],
"output": "<string>"
},
"name": "<string>",
"kind": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>",
"description": "<string>",
"group": "<string>",
"deletedAt": "<string>"
}Integration
Update integration
Update an existing integration by its ID.
PUT
/
api
/
projects
/
{projectId}
/
integrations
/
{integrationId}
Update integration
Authorizations
personalAccessTokeninternalAuth
Personal access token is obtained through your profile
Path Parameters
Project ID
Integration ID
Body
application/json
Response
200 - application/json
Updated integration
Updated integration
Unique identifier of the integration
Type of integration
Available options:
http Integration configuration
Show child attributes
Show child attributes
Name of the integration
Unique kind identifier for the integration
Project ID the integration belongs to
Timestamp when the integration was created
Timestamp when the integration was last updated
Description of the integration
Group the integration belongs to
Timestamp when the integration was deleted
Was this page helpful?
⌘I